import request from '@/utils/request'

// 查询补发SOP配置列表
export function listReissueConfig(query) {
  return request({
    url: '/his/reissueConfig/list',
    method: 'get',
    params: query
  })
}

// 查询补发SOP配置详细
export function getReissueConfig(id) {
  return request({
    url: '/his/reissueConfig/' + id,
    method: 'get'
  })
}

// 查询补发SOP配置详细
export function getConfigInfo() {
  return request({
    url: '/his/reissueConfig/getConfigInfo',
    method: 'get'
  })
}

// 查询补发SOP配置详细
export function getAppIdList() {
  return request({
    url: '/his/reissueConfig/getAppIdList',
    method: 'get'
  })
}

// 新增补发SOP配置
export function addReissueConfig(data) {
  return request({
    url: '/his/reissueConfig',
    method: 'post',
    data: data
  })
}

// 修改补发SOP配置
export function updateReissueConfig(data) {
  return request({
    url: '/his/reissueConfig',
    method: 'put',
    data: data
  })
}

// 删除补发SOP配置
export function delReissueConfig(id) {
  return request({
    url: '/his/reissueConfig/' + id,
    method: 'delete'
  })
}

// 导出补发SOP配置
export function exportReissueConfig(query) {
  return request({
    url: '/his/reissueConfig/export',
    method: 'get',
    params: query
  })
}

export function reissueCourseSop(data) {
  return request({
    url: '/his/reissueConfig/reissueCourseSop',
    method: 'post',
    data: data
  })
}

export function generateAnswerShortLink(data) {
  return request({
    url: '/his/reissueConfig/generateAnswerShortLink',
    method: 'post',
    data: data
  })
}